import { Chunk } from 'highlight-words-core';
import { DetailedReactHTMLElement } from 'react';
import { FindChunksArgs } from 'highlight-words-core';
import { FunctionComponent } from 'react';
import { HTMLElementType } from 'react';
import { JSXElementConstructor } from 'react';
import { ReactElement } from 'react';

/**
 * Highlights all occurrences of search terms (searchText) within a string (textToHighlight).
 * This function returns an array of strings and <span>s (wrapping highlighted words).
 */
declare function Highlighter({ activeClassName, activeIndex, activeStyle, autoEscape, caseSensitive, className, findChunks, highlightClassName, highlightStyle, highlightTag, sanitize, searchWords, textToHighlight, unhighlightTag, unhighlightClassName, unhighlightStyle, ...rest }: HighlighterProps): DetailedReactHTMLElement<    {
children: ReactElement<    {}, string | JSXElementConstructor<any>>[];
className: string | undefined;
}, HTMLElement>;
export default Highlighter;

declare interface HighlighterProps {
    activeClassName?: string;
    activeIndex?: number;
    activeStyle?: object;
    autoEscape?: boolean;
    caseSensitive?: boolean;
    className?: string;
    findChunks?: (args: FindChunksArgs) => Chunk[];
    highlightClassName?: Record<string, string> | string;
    highlightStyle?: object;
    highlightTag?: HTMLElementType | FunctionComponent | string;
    sanitize?: (text: string) => string;
    searchWords: string[];
    textToHighlight: string;
    unhighlightTag?: HTMLElementType | FunctionComponent | string;
    unhighlightClassName?: string;
    unhighlightStyle?: object;
}

export { }
